%global modname tahrir

Name:             python-tahrir
Version:          0.1.9
Release:          2%{?dist}
Summary:          A pyramid app for issuing your own Open Badges

Group:            Development/Languages
License:          AGPLv3+
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/t/tahrir/%{modname}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python-setuptools

Requires:         python-pyramid
Requires:         python-tahrir-api
Requires:         python-sqlalchemy
Requires:         python-transaction
Requires:         python-pyramid-tm
Requires:         python-zope-sqlalchemy
Requires:         python-weberror
Requires:         python-tw2-sqla
Requires:         python-formencode
Requires:         python-velruse
Requires:         python-anykeystore

Requires:         httpd
Requires:         mod_wsgi

%description
tahrir is a Pyramid app for issuing your own Open Badges.

https://wiki.mozilla.org/Badges

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

sed -i 's/%%(here)s/\/var\/lib\/tahrir/' apache/%{modname}.ini

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%{__mkdir_p} %{buildroot}/%{_datadir}/%{modname}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/%{modname}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} %{buildroot}/%{_var}/lib/%{modname}

%{__install}        apache/%{modname}.wsgi %{buildroot}%{_datadir}/%{modname}/%{modname}.wsgi
%{__install} -m 640 apache/%{modname}.ini  %{buildroot}%{_sysconfdir}/%{modname}/
%{__install} -m 644 apache/%{modname}.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{modname}.conf
%{__install} -m 644 -d tahrir/static %{buildroot}%{_datadir}/%{modname}/static

%pre
%{_sbindir}/groupadd -r %{modname} &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d %{_datadir}/%{modname} -M \
            -c 'Tahrir Server' -g %{modname} %{modname} &>/dev/null || :


%files
%doc README.rst LICENSE

%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*

%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{modname}.conf
%dir %{_sysconfdir}/%{modname}/
%attr(-,%{modname},root) %{_datadir}/%{modname}
%attr(-,%{modname},root) %config(noreplace) %{_sysconfdir}/%{modname}/%{modname}.ini
%attr(-,%{modname},root) %config(noreplace) %{_var}/lib/%{modname}

%changelog
* Wed Mar 13 2013 Ralph Bean <rbean@redhat.com> - 0.1.9-2
- Copy static directory as a directory (typofix).

* Wed Mar 13 2013 Ralph Bean <rbean@redhat.com> - 0.1.9-1
- Latest upstream with modernized apache config.

* Mon Mar 11 2013 Ralph Bean <rbean@redhat.com> - 0.1.8-3
- Use modname macro where applicable.
- Add deps on python-velruse and python-anykeystore.
- Also added server deps on httpd and mod_wsgi.
- Install configuration alongside the code.
- Copy static files to /usr/share/

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 rossdylan <rdelinge@redhat.com> 0.1.8-1
- Versioning typo in rpm fixed
- Misc bug fixes 
- Custom 404 page
- oauth authentication, defaults to FAS
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Wed Jun 20 2012 rossdylan <rossdylan@csh.rit.edu> 0.1.6-1
- initial package for Fedora
